import { Attribute } from '../attribute';
import { Axes2D } from '../utils';
export interface AccordionToggleOptions {
    skipTransition?: boolean;
    exclude?: HTMLElement;
}
export interface AccordionEvents {
    accordionItemToggle: CustomEvent<{
        opened: boolean;
    }>;
}
export declare class AccordionElement extends HTMLElement {
    #private;
    constructor();
    get axisAttribute(): Attribute<Axes2D>;
    get multipleAttribute(): Attribute<false>;
    createItem(element: HTMLElement): void;
    removeItem(element: HTMLElement): void;
    closeAll(options?: AccordionToggleOptions): void;
    openAll(options?: AccordionToggleOptions): void;
    protected connectedCallback(): void;
    protected disconnectedCallback(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'e-accordion': AccordionElement;
    }
    interface HTMLElementEventMap extends AccordionEvents {
    }
}
