import { ElementConstructorTagObject, ElementConstructor, ElementConstructorJSS, ElementConstructorTagNames } from './ElementConstructor';
export declare function element<T extends ElementConstructorTagNames | Node = ElementConstructorTagNames>(node: T, object: ElementConstructorTagObject<T>): ElementConstructor<T>;
export declare function element<T extends string = string>(node: T, object: ElementConstructorTagObject<Element>): ElementConstructor<Element>;
export declare function a(object?: ElementConstructorTagObject<'a'>): ElementConstructor<"a", HTMLAnchorElement & SVGAElement>;
export declare function abbr(object?: ElementConstructorTagObject<'abbr'>): ElementConstructor<"abbr", HTMLElement>;
export declare function address(object?: ElementConstructorTagObject<'address'>): ElementConstructor<"address", HTMLElement>;
export declare function area(object?: ElementConstructorTagObject<'area'>): ElementConstructor<"area", HTMLAreaElement>;
export declare function article(object?: ElementConstructorTagObject<'article'>): ElementConstructor<"article", HTMLElement>;
export declare function aside(object?: ElementConstructorTagObject<'aside'>): ElementConstructor<"aside", HTMLElement>;
export declare function audio(object?: ElementConstructorTagObject<'audio'>): ElementConstructor<"audio", HTMLAudioElement>;
export declare function b(object?: ElementConstructorTagObject<'b'>): ElementConstructor<"b", HTMLElement>;
export declare function base(object?: ElementConstructorTagObject<'base'>): ElementConstructor<"base", HTMLBaseElement>;
export declare function bdi(object?: ElementConstructorTagObject<'bdi'>): ElementConstructor<"bdi", HTMLElement>;
export declare function bdo(object?: ElementConstructorTagObject<'bdo'>): ElementConstructor<"bdo", HTMLElement>;
export declare function blockquote(object?: ElementConstructorTagObject<'blockquote'>): ElementConstructor<"blockquote", HTMLQuoteElement>;
export declare function body(object?: ElementConstructorTagObject<'body'>): ElementConstructor<"body", HTMLBodyElement>;
export declare function br(object?: ElementConstructorTagObject<'br'>): ElementConstructor<"br", HTMLBRElement>;
export declare function button(object?: ElementConstructorTagObject<'button'>): ElementConstructor<"button", HTMLButtonElement>;
export declare function canvas(object?: ElementConstructorTagObject<'canvas'>): ElementConstructor<"canvas", HTMLCanvasElement>;
export declare function caption(object?: ElementConstructorTagObject<'caption'>): ElementConstructor<"caption", HTMLTableCaptionElement>;
export declare function cite(object?: ElementConstructorTagObject<'cite'>): ElementConstructor<"cite", HTMLElement>;
export declare function code(object?: ElementConstructorTagObject<'code'>): ElementConstructor<"code", HTMLElement>;
export declare function col(object?: ElementConstructorTagObject<'col'>): ElementConstructor<"col", HTMLTableColElement>;
export declare function colgroup(object?: ElementConstructorTagObject<'colgroup'>): ElementConstructor<"colgroup", HTMLTableColElement>;
export declare function data(object?: ElementConstructorTagObject<'data'>): ElementConstructor<"data", HTMLDataElement>;
export declare function datalist(object?: ElementConstructorTagObject<'datalist'>): ElementConstructor<"datalist", HTMLDataListElement>;
export declare function dd(object?: ElementConstructorTagObject<'dd'>): ElementConstructor<"dd", HTMLElement>;
export declare function del(object?: ElementConstructorTagObject<'del'>): ElementConstructor<"del", HTMLModElement>;
export declare function details(object?: ElementConstructorTagObject<'details'>): ElementConstructor<"details", HTMLDetailsElement>;
export declare function dfn(object?: ElementConstructorTagObject<'dfn'>): ElementConstructor<"dfn", HTMLElement>;
export declare function dialog(object?: ElementConstructorTagObject<'dialog'>): ElementConstructor<"dialog", HTMLDialogElement>;
export declare function div(object?: ElementConstructorTagObject<'div'>): ElementConstructor<"div", HTMLDivElement>;
export declare function dl(object?: ElementConstructorTagObject<'dl'>): ElementConstructor<"dl", HTMLDListElement>;
export declare function dt(object?: ElementConstructorTagObject<'dt'>): ElementConstructor<"dt", HTMLElement>;
export declare function em(object?: ElementConstructorTagObject<'em'>): ElementConstructor<"em", HTMLElement>;
export declare function embed(object?: ElementConstructorTagObject<'embed'>): ElementConstructor<"embed", HTMLEmbedElement>;
export declare function fieldset(object?: ElementConstructorTagObject<'fieldset'>): ElementConstructor<"fieldset", HTMLFieldSetElement>;
export declare function figcaption(object?: ElementConstructorTagObject<'figcaption'>): ElementConstructor<"figcaption", HTMLElement>;
export declare function figure(object?: ElementConstructorTagObject<'figure'>): ElementConstructor<"figure", HTMLElement>;
export declare function footer(object?: ElementConstructorTagObject<'footer'>): ElementConstructor<"footer", HTMLElement>;
export declare function form(object?: ElementConstructorTagObject<'form'>): ElementConstructor<"form", HTMLFormElement>;
export declare function h1(object?: ElementConstructorTagObject<'h1'>): ElementConstructor<"h1", HTMLHeadingElement>;
export declare function h2(object?: ElementConstructorTagObject<'h2'>): ElementConstructor<"h2", HTMLHeadingElement>;
export declare function h3(object?: ElementConstructorTagObject<'h3'>): ElementConstructor<"h3", HTMLHeadingElement>;
export declare function h4(object?: ElementConstructorTagObject<'h4'>): ElementConstructor<"h4", HTMLHeadingElement>;
export declare function h5(object?: ElementConstructorTagObject<'h5'>): ElementConstructor<"h5", HTMLHeadingElement>;
export declare function h6(object?: ElementConstructorTagObject<'h6'>): ElementConstructor<"h6", HTMLHeadingElement>;
export declare function head(object?: ElementConstructorTagObject<'head'>): ElementConstructor<"head", HTMLHeadElement>;
export declare function header(object?: ElementConstructorTagObject<'header'>): ElementConstructor<"header", HTMLElement>;
export declare function hgroup(object?: ElementConstructorTagObject<'hgroup'>): ElementConstructor<"hgroup", HTMLElement>;
export declare function hr(object?: ElementConstructorTagObject<'hr'>): ElementConstructor<"hr", HTMLHRElement>;
export declare function html(object?: ElementConstructorTagObject<'html'>): ElementConstructor<"html", HTMLHtmlElement>;
export declare function i(object?: ElementConstructorTagObject<'i'>): ElementConstructor<"i", HTMLElement>;
export declare function iframe(object?: ElementConstructorTagObject<'iframe'>): ElementConstructor<"iframe", HTMLIFrameElement>;
export declare function img(object?: ElementConstructorTagObject<'img'>): ElementConstructor<"img", HTMLImageElement>;
export declare function input(object?: ElementConstructorTagObject<'input'>): ElementConstructor<"input", HTMLInputElement>;
export declare function ins(object?: ElementConstructorTagObject<'ins'>): ElementConstructor<"ins", HTMLModElement>;
export declare function kbd(object?: ElementConstructorTagObject<'kbd'>): ElementConstructor<"kbd", HTMLElement>;
export declare function label(object?: ElementConstructorTagObject<'label'>): ElementConstructor<"label", HTMLLabelElement>;
export declare function legend(object?: ElementConstructorTagObject<'legend'>): ElementConstructor<"legend", HTMLLegendElement>;
export declare function li(object?: ElementConstructorTagObject<'li'>): ElementConstructor<"li", HTMLLIElement>;
export declare function link(object?: ElementConstructorTagObject<'link'>): ElementConstructor<"link", HTMLLinkElement>;
export declare function main(object?: ElementConstructorTagObject<'main'>): ElementConstructor<"main", HTMLElement>;
export declare function map(object?: ElementConstructorTagObject<'map'>): ElementConstructor<"map", HTMLMapElement>;
export declare function mark(object?: ElementConstructorTagObject<'mark'>): ElementConstructor<"mark", HTMLElement>;
export declare function menu(object?: ElementConstructorTagObject<'menu'>): ElementConstructor<"menu", HTMLMenuElement>;
export declare function meta(object?: ElementConstructorTagObject<'meta'>): ElementConstructor<"meta", HTMLMetaElement>;
export declare function meter(object?: ElementConstructorTagObject<'meter'>): ElementConstructor<"meter", HTMLMeterElement>;
export declare function nav(object?: ElementConstructorTagObject<'nav'>): ElementConstructor<"nav", HTMLElement>;
export declare function noscript(object?: ElementConstructorTagObject<'noscript'>): ElementConstructor<"noscript", HTMLElement>;
export declare function object(object?: ElementConstructorTagObject<'object'>): ElementConstructor<"object", HTMLObjectElement>;
export declare function ol(object?: ElementConstructorTagObject<'ol'>): ElementConstructor<"ol", HTMLOListElement>;
export declare function optgroup(object?: ElementConstructorTagObject<'optgroup'>): ElementConstructor<"optgroup", HTMLOptGroupElement>;
export declare function option(object?: ElementConstructorTagObject<'option'>): ElementConstructor<"option", HTMLOptionElement>;
export declare function output(object?: ElementConstructorTagObject<'output'>): ElementConstructor<"output", HTMLOutputElement>;
export declare function p(object?: ElementConstructorTagObject<'p'>): ElementConstructor<"p", HTMLParagraphElement>;
export declare function picture(object?: ElementConstructorTagObject<'picture'>): ElementConstructor<"picture", HTMLPictureElement>;
export declare function pre(object?: ElementConstructorTagObject<'pre'>): ElementConstructor<"pre", HTMLPreElement>;
export declare function progress(object?: ElementConstructorTagObject<'progress'>): ElementConstructor<"progress", HTMLProgressElement>;
export declare function q(object?: ElementConstructorTagObject<'q'>): ElementConstructor<"q", HTMLQuoteElement>;
export declare function rp(object?: ElementConstructorTagObject<'rp'>): ElementConstructor<"rp", HTMLElement>;
export declare function rt(object?: ElementConstructorTagObject<'rt'>): ElementConstructor<"rt", HTMLElement>;
export declare function ruby(object?: ElementConstructorTagObject<'ruby'>): ElementConstructor<"ruby", HTMLElement>;
export declare function s(object?: ElementConstructorTagObject<'s'>): ElementConstructor<"s", HTMLElement>;
export declare function samp(object?: ElementConstructorTagObject<'samp'>): ElementConstructor<"samp", HTMLElement>;
export declare function script(object?: ElementConstructorTagObject<'script'>): ElementConstructor<"script", HTMLScriptElement & SVGScriptElement>;
export declare function search(object?: ElementConstructorTagObject<'search'>): ElementConstructor<"search", HTMLElement>;
export declare function section(object?: ElementConstructorTagObject<'section'>): ElementConstructor<"section", HTMLElement>;
export declare function select(object?: ElementConstructorTagObject<'select'>): ElementConstructor<"select", HTMLSelectElement>;
export declare function slot(object?: ElementConstructorTagObject<'slot'>): ElementConstructor<"slot", HTMLSlotElement>;
export declare function small(object?: ElementConstructorTagObject<'small'>): ElementConstructor<"small", HTMLElement>;
export declare function source(object?: ElementConstructorTagObject<'source'>): ElementConstructor<"source", HTMLSourceElement>;
export declare function span(object?: ElementConstructorTagObject<'span'>): ElementConstructor<"span", HTMLSpanElement>;
export declare function strong(object?: ElementConstructorTagObject<'strong'>): ElementConstructor<"strong", HTMLElement>;
export declare function style(object?: ElementConstructorJSS): ElementConstructor<"style", HTMLStyleElement & SVGStyleElement>;
export declare function sub(object?: ElementConstructorTagObject<'sub'>): ElementConstructor<"sub", HTMLElement>;
export declare function summary(object?: ElementConstructorTagObject<'summary'>): ElementConstructor<"summary", HTMLElement>;
export declare function sup(object?: ElementConstructorTagObject<'sup'>): ElementConstructor<"sup", HTMLElement>;
export declare function table(object?: ElementConstructorTagObject<'table'>): ElementConstructor<"table", HTMLTableElement>;
export declare function tbody(object?: ElementConstructorTagObject<'tbody'>): ElementConstructor<"tbody", HTMLTableSectionElement>;
export declare function td(object?: ElementConstructorTagObject<'td'>): ElementConstructor<"td", HTMLTableCellElement>;
export declare function template(object?: ElementConstructorTagObject<'template'>): ElementConstructor<"template", HTMLTemplateElement>;
export declare function textarea(object?: ElementConstructorTagObject<'textarea'>): ElementConstructor<"textarea", HTMLTextAreaElement>;
export declare function tfoot(object?: ElementConstructorTagObject<'tfoot'>): ElementConstructor<"tfoot", HTMLTableSectionElement>;
export declare function th(object?: ElementConstructorTagObject<'th'>): ElementConstructor<"th", HTMLTableCellElement>;
export declare function thead(object?: ElementConstructorTagObject<'thead'>): ElementConstructor<"thead", HTMLTableSectionElement>;
export declare function time(object?: ElementConstructorTagObject<'time'>): ElementConstructor<"time", HTMLTimeElement>;
export declare function title(object?: ElementConstructorTagObject<'title'>): ElementConstructor<"title", HTMLTitleElement & SVGTitleElement>;
export declare function tr(object?: ElementConstructorTagObject<'tr'>): ElementConstructor<"tr", HTMLTableRowElement>;
export declare function track(object?: ElementConstructorTagObject<'track'>): ElementConstructor<"track", HTMLTrackElement>;
export declare function u(object?: ElementConstructorTagObject<'u'>): ElementConstructor<"u", HTMLElement>;
export declare function ul(object?: ElementConstructorTagObject<'ul'>): ElementConstructor<"ul", HTMLUListElement>;
export declare function htmlVar(object?: ElementConstructorTagObject<'var'>): ElementConstructor<"var", HTMLElement>;
export declare function video(object?: ElementConstructorTagObject<'video'>): ElementConstructor<"video", HTMLVideoElement>;
export declare function wbr(object?: ElementConstructorTagObject<'wbr'>): ElementConstructor<"wbr", HTMLElement>;
export declare function fragment(object?: ElementConstructorTagObject<Node>): ElementConstructor<Node, Node>;
export declare function empty(object?: ElementConstructorTagObject<Node>): ElementConstructor<Node, Node>;
export declare function contents(object?: ElementConstructorTagObject<'div'>): ElementConstructor<"div", HTMLDivElement>;
