import { CSSProperty } from '../css-property';
import { Store } from '../store';
export interface PopoverEvents {
    popoverTriggered: CustomEvent<{
        trigger: any;
    }>;
    popoverOpened: CustomEvent<{
        trigger: any;
    }>;
    popoverClosing: CustomEvent;
    popoverClosed: CustomEvent;
}
export declare class PopoverElement extends HTMLElement {
    #private;
    private static __opened;
    urlValue: string;
    get history(): CSSProperty<false>;
    get restore(): CSSProperty<false>;
    get dominance(): CSSProperty<0>;
    get group(): CSSProperty<"">;
    get clickOutside(): CSSProperty<false>;
    get escape(): CSSProperty<false>;
    get opened(): Store<boolean>;
    get lastTrigger(): any;
    get idWithValue(): string;
    updateUrlValue(value?: string | number): void;
    open: (options?: {
        skipTransition?: boolean;
        trigger?: any;
    }) => void;
    close: () => void;
    protected connectedCallback(): void;
    protected disconnectedCallback(): void;
}
declare global {
    interface HTMLElementTagNameMap {
        'e-popover': PopoverElement;
    }
    interface HTMLElementEventMap extends PopoverEvents {
    }
}
