import { ScrollElement } from './ScrollElement';
export type ScrollSectionMark = 'current' | 'previous' | 'next' | null;
export type ScrollSectionMarkChangeDetail = {
    mark: ScrollSectionMark;
};
export interface ScrollSectionEvents {
    scrollSectionMarkChange: ScrollSectionMarkChangeEvent;
}
export type ScrollSectionMarkChangeEvent = CustomEvent<ScrollSectionMarkChangeDetail>;
export declare class ScrollSection {
    #private;
    constructor(element: HTMLElement, index: number, scrollElement: ScrollElement);
    get index(): number;
    get size(): number;
    get position(): number;
    destroy(): void;
    unsetTransform(): void;
    setSize(value?: number): void;
    resize(): void;
    transform(): void;
    mark(mark: ScrollSectionMark): void;
}
declare global {
    interface HTMLElementEventMap extends ScrollSectionEvents {
    }
}
